Package org.eclipse.emf.cdo.spi.common.revision

## Interface CDOReferenceAdjuster

- All Known Implementing Classes:
    `CDOIDMapper`, `CDOSessionProtocol.CommitTransactionResult.PostCommitReferenceAdjuster`

      public interface CDOReferenceAdjuster

  If the meaning of this type isn't clear, there really should be more of a description here...
  Since:
    4.0
  Author:
    Simon McDuff

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `java.lang.Object` | `adjustReference​(java.lang.Object id, org.eclipse.emf.ecore.EStructuralFeature feature, int index)` | Adjusts the internal structure of an object (e.g: `CDORevision`).

- - ### Method Detail

    - #### adjustReference

          java.lang.Object adjustReference​(java.lang.Object id,
                                           org.eclipse.emf.ecore.EStructuralFeature feature,
                                           int index)

      Adjusts the internal structure of an object (e.g: `CDORevision`). This is mainly used after committing a transaction. `CDORevision` must replace `CDOIDTemp` for non-temporary `CDOID` with a mapped ID. Only the internal structure knows how to do these modifications. This is important to consider using different implementation of `CDOList`.